#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,temp,szamok;//981121989
    scanf("%d", &n);
    int szam[n],i,elso, utolso;
    for(i=0; i<n; i++)
    {
        scanf("%d", &szam[i]);
    }

    if(n==2)
    {
        printf("%d %d",szam[1],szam[0]);
    }
    else
    {

        for(szamok=9; szamok>=2; szamok--)
        {
            utolso=-1;
            elso=-1;
            for(i=0; i<n; i++)
            {
                if(szam[i]<szamok)
                {
                    elso=i;
                    break;

                }

            }
            for(i=n-1; i>=0; i--)
            {
                if(szam[i]==szamok)
                {
                    utolso=i;
                    break;
                }
            }
            if (elso==-1)
            {
                 break;
            }

            else  if(utolso>elso)
            {
                temp=szam[utolso];
                szam[utolso]= szam[elso];
                szam[elso]= temp;
                break;
            }

        }
         for(i=0; i<n; i++)
        {
        printf("%d ", szam[i]);
        }
    }




    return 0;
}